- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Updates an EntryGroup.
HTTP request
PATCH https://dataplex.googleapis.com/v1/{entryGroup.name=projects/*/locations/*/entryGroups/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
entryGroup.name |
Output only. The relative resource name of the EntryGroup, in the format projects/{project_id_or_number}/locations/{locationId}/entryGroups/{entryGroupId}. |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. Mask of fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
validateOnly |
Optional. The service validates the request, without performing any mutations. The default is false. |
Request body
The request body contains an instance of EntryGroup.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/dataplex.read-write
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
dataplex.entryGroups.update
For more information, see the IAM documentation.